Subject: Imperium 3.4.21 uploaded to sunsite
From: [email-masked] (David Wright)
Date: Wed, 1 Jun 1994 20:28:15 GMT
Newsgroups: comp.os.linux.announce

I uploaded the source to Imperium 3.4.21 to sunsite the other day.
Imperium is a basically "Empire like" game, except it is SciFi rather than
modern-times. I do NOT consider Imperium to be complete at this time, but
it IS playable, and I would rate it as >90% complete. I have been working on it
for more than 4 years (it was not based on Empire source at all), and I have
had it in "beta" for almost 2 years. The amount of time I have free to devote
to further work on it is so limited that if I wait for it to be 100% complete
it will likely never get out the door. So what I am hoping is that someone
will get it, like it, and want to either base something else on it, or take
it over wholesale (at which point I will send you the full RCS setup, including
the files you need to create new "Configure" scripts, etc.).

	Some of the features are:

*	Automatically configured by a "Configure" script for various Unix
	variants.
*	Client/server in operation (but both run on the same machine, the client
	can be added to /etc/services if you want to provide internet
	access to a game).
*	Player "races" (work like teams, all races have same starting stats).
*	Easy mail between player->player, player->race, player->relation.
*	Programmable ships (navigate a (possibly repeating) course, loading &
	unloading items at various points, etc).
*	Customizeable ships (there are 6 basic "tonnage classes", how you
	allocate available space between cargo, armour, weapons, etc.
	is up to you).
*	Built-in real-time player->player message system, and built-in
	multiplayer chat ("CB" like) mode.
*	Designed with "intelligent" front end (client) programs in mind. Can
	send out additional/optional data in compressed format depending on
	what the client can handle/wants.
*	Robot "miners" you can drop on planets with too little atmosphere for
	intelligent life, and pick up later after mining is complete.

	Ship->ship combat is in there, ship->planet is not. There are of course
all the "normal" Empire features like loans, item trading, daily newspapers,
etc.

							Dave

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.